'Args
'(0)  LDAP:// path
'(1)  LDAP Properties delimted by a '|' character

If Not WScript.Arguments.length = 2 Then
	MsgBox "There should be 2 arguments(LDAP path and LDAP properties array delimited by a '|' character).  You have " & WScript.Arguments.length & " arguments."  
	WScript.Quit(99)
End If


Set objGroup = GetObject _
  (WScript.Arguments(0))
objGroup.GetInfo
 
arrMemberOf = objGroup.GetEx("member")

arrLDAPproperties = Split(WScript.Arguments(1), "|")

For Each strMember in arrMemberOf
    Set objMember = GetObject("LDAP://" + strMember)
    objMemberClass = objMember.Get("objectClass")
    strObjectClass = UCase(objMemberClass(UBound(objMemberClass)))
    strDomain = "Unknown" 
    GetDomain strDomain, strMember
    
    strProperties = ""
    
    For Each strAttr In arrLDAPproperties
    	Set strProperty = Nothing
    	On Error Resume Next
    	strProperty = objMember.Get(strAttr)
    	
    	strResult = ""
       	'Special case attributes that aren't easily converted to strings
    	If UCase(strAttr) = "DESCRIPTION" Then    		
    		strResult = strProperty(0)
    	ElseIf UCase(strAttr) = "OBJECTCLASS" Then    		
    		strResult = strProperty(UBound(strProperty))    		
    	'ElseIf ...other special cases
    	Else
    		strResult = strProperty
    	End If
    	
    	ReplaceNewLineAndTab strResult
    	    	
    	strProperties = strProperties & strResult
    	strProperties = strProperties & vbTab
    Next
    
    WScript.Echo (strDomain & vbTab & strObjectClass & vbTab & strProperties)
Next

Sub GetDomain(strResult, DN)
	strArr = Split(DN, ",DC=")
	
	For i = 1 To UBound(strArr)
		If Not i = 1 Then
			strResult = strResult & "." & strArr(i)
		Else
			strResult = strArr(i)
		End If
	Next
			
End Sub

Sub ReplaceNewLineAndTab (strInput)
	strInput = Replace(strInput, vbCrLf, "<New Line>")
	strInput = Replace(strInput, vbTab, "<TAB>")
End Sub