'Arguments
'1:  Group LDAP DN
'2:  GLOBAL/UNIVERSAL/LOCAL

If Not WScript.Arguments.Count = 2 Then
	MsgBox "Invalid number of arguments, should be 2"
	WScript.Quit
End If

On Error Resume Next
Err.Number = 0

Const ADS_GROUP_TYPE_GLOBAL_GROUP = &h2
Const ADS_GROUP_TYPE_LOCAL_GROUP = &h4
Const ADS_GROUP_TYPE_UNIVERSAL_GROUP = &h8
Const ADS_GROUP_TYPE_SECURITY_ENABLED = &h80000000
 
Set objGroup = GetObject (WScript.Arguments(0))
 
strGroupScope = WScript.Arguments(1)
 
If strGroupScope = "GLOBAL" Then
 	hexThisScope = ADS_GROUP_TYPE_GLOBAL_GROUP + ADS_GROUP_TYPE_SECURITY_ENABLED
End If
If strGroupScope = "UNIVERSAL" Then
 	hexThisScope = ADS_GROUP_TYPE_UNIVERSAL_GROUP + ADS_GROUP_TYPE_SECURITY_ENABLED
End If
If strGroupScope = "LOCAL" Then
	hexThisScope = ADS_GROUP_TYPE_LOCAL_GROUP + ADS_GROUP_TYPE_SECURITY_ENABLED
End If

objGroup.Put "groupType", hexThisScope
     
objGroup.SetInfo

If Not Err.Number = 0 Then
	MsgBox "Error converting group, this may be due to scope conflicts with member/memberOf objects"
End If